Bug 88042 - FORMATTING: the 'conditional formatting' is changed by COPY/PASTE action although the sheet is 'protected'
Summary: FORMATTING: the 'conditional formatting' is changed by COPY/PASTE action alth...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.2.7.2 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
: 95887 (view as bug list)
Depends on:
Blocks: Conditional-Formatting
  Show dependency treegraph
 
Reported: 2015-01-05 08:19 UTC by AxelF
Modified: 2019-12-03 14:28 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
CALC file with conditioned formattings (72.00 KB, application/vnd.oasis.opendocument.spreadsheet)
2015-01-05 08:19 UTC, AxelF
Details
conditioned format changed by copy/paste while sheet is protected (966.13 KB, video/mpeg)
2015-01-05 23:46 UTC, AxelF
Details
Cell Copy - Changes through the Backdoor (1.18 MB, video/mpeg)
2015-01-06 06:45 UTC, AxelF
Details
2 sheet sample (27.17 KB, application/vnd.oasis.opendocument.spreadsheet)
2015-01-14 00:18 UTC, baknox
Details

Note You need to log in before you can comment on or make changes to this bug.
Description AxelF 2015-01-05 08:19:42 UTC
Created attachment 111752 [details]
CALC file with conditioned formattings

In LibO Version 4.2.7.x, 4.2.8.x, 4.3.5.x on MacOS and Windows there are a couple of bugs in the 'conditioned formatting' function, that gives CALC a very poor appearence.

- After copying a sheet from one to another, the conditioned formatting can be disturbed in the target sheet.

- After copying one cell to another, the conditioned formatting is disturbed.

- After copying of sheets or cells the reference of conditioned formatting is set to unwanted cells.

- Conditioned formattings simply disappear after sheet modifications in other areas.

If anybody is interested in more details, please contact me. I don't want to write bug reports that nobody reads or takes care of.

Play with sheet 'Vorlage V15.01' in the attached *.ods file.


CALC is - compared to EXCEL - very unreliable. Sorry to say that.
Comment 1 raal 2015-01-05 14:14:20 UTC
(In reply to AxelF from comment #0)
> Created attachment 111752 [details]
Hello,
with LO 4.3.5., win7 I tried with simple test, because your file is complex.

> 
> In LibO Version 4.2.7.x, 4.2.8.x, 4.3.5.x on MacOS and Windows there are a
> couple of bugs in the 'conditioned formatting' function, that gives CALC a
> very poor appearence.
> 
> - After copying a sheet from one to another, the conditioned formatting can
> be disturbed in the target sheet.

Works for me. Specify please. 

> 
> - After copying one cell to another, the conditioned formatting is disturbed.

Specify please. On my test is cond. format copied, but changed style. This looks like a bug.

> 
> - After copying of sheets or cells the reference of conditioned formatting
> is set to unwanted cells.

Don't know how to reproduce.

> 
> - Conditioned formattings simply disappear after sheet modifications in
> other areas.

Looks like bug Bug 73678

> 


Please provide step by step instructions how to reproduce bugs with your file. Ideally if you can reproduce issues with simpler file ... Thank you.
Comment 2 Cor Nouws 2015-01-05 20:10:05 UTC
Hi AxelF,

Additional remark from me: can you please test in 4.4.0 rc1? 
There are probably some bugs fixed in this area.

But not all I expect, e.g.
  https://bugs.freedesktop.org/show_bug.cgi?id=73678

thanks for helping!
Cor
Comment 3 AxelF 2015-01-05 23:46:50 UTC
Created attachment 111798 [details]
conditioned format changed by copy/paste while sheet is protected

This screen video shows in a simple spreadsheet how the 'conditioned format' is changed by COPY/PASTE action although the sheet is 'protected'.

After COPY/PASTE the active 'conditioned format' range is split and additional ranges are inserted. This must not happen as long as the sheet is protected.

Affected LibO versions:
4.2.8, 4.3.5, 4.4.0.1 (and others)
Comment 4 AxelF 2015-01-06 06:45:40 UTC
Created attachment 111829 [details]
Cell Copy - Changes through the Backdoor

This screen video shows how to change 'conditioned format' of a protected sheet through the backdoor by COPY from an unprotected sheet and PASTE into the protected target sheet.

==> If the sheet is protected, the 'conditioned format' must NOT be modifyable, also not via COPY/PASTE. If someone pastes something into the protected sheet, only the 'values' are to be pasted (as if they are entered through the keyboard), not any tags or additional properties.
Comment 5 raal 2015-01-06 09:38:25 UTC
I can confirm with LO 4.3.5, win7
Comment 6 baknox 2015-01-14 00:18:52 UTC
Created attachment 112184 [details]
2 sheet sample
Comment 7 baknox 2015-01-14 09:34:40 UTC
I lodged the following possibly similar bug report yesterday [including an attachment]. It seems not to have got through.
The text of my report was:
I run a little calender worksheet. 
I had set up an alert for jumbled or missing days by setting the Conditional Formatting for the Days Time column to “Formula is: IF(f2-f1<>1,1,0) – Apply style [Redfont]”. 
Since the 4.2.6 debacle if I cut [Ctrl+X] say rows 2&3 to paste them elsewhere & then delete [Ctrl+-] the  empty rows 2&3 the Conditional Formatting is scrambled to “Formula is: IF(f#REF!-f#REF!<>1,1,0) – Apply style [Redfont]”. 
This bug still applies to 4.2.7.
Sorry if this is a duplication: 
I can resend the example ssht if requested.

I might add that referring data from one sheet to another can also be inconsistent [eg, in say cell A1 of workbka entering "=", then going to D4 of  workdkb.ods gives "=workdkb.ods'#$b.D4" but does not always report the data in cell D4 of workdkb.ods]
Comment 8 raal 2015-01-14 19:01:42 UTC
(In reply to baknox from comment #7)
> I lodged the following possibly similar bug report yesterday [including an
> attachment]. It seems not to have got through.

What number of the bug?
Comment 9 baknox 2015-01-14 19:16:27 UTC
Same bug 88042, BUT all that went through was the spreadsheet [as
comment#6] ie without the report. I hope this is the right place to
lodge my bug report. If not do let me know.
Comment 10 raal 2015-01-14 19:43:11 UTC
(In reply to baknox from comment #9)
> Same bug 88042, BUT all that went through was the spreadsheet [as
> comment#6] ie without the report. I hope this is the right place to
> lodge my bug report. If not do let me know.

Please create new bug for this here https://bugs.freedesktop.org/enter_bug.cgi

This bug is about "the 'conditional formatting' is changed by COPY/PASTE action although the sheet is 'protected'" and in your file is written other problem, I think. But first, please, test with actual version 4.3.5. If bug still occurs in 4.3.5 create new bug and provide clear steps how to reproduce the bug. Thank you for your support!
Comment 11 baknox 2015-01-15 10:54:29 UTC
Sorry, Ubuntu Synaptic reports 1:4.2.7 as the latest version. Ubuntu Software Updater offers no 4.3.5 - due to past problems I am reluctant to take updates other than through the Ubuntu apps - am I looking in the wrong place? or, if I have to get the update from outside where do you recommend that guarantees no clashes/problems?
Comment 12 m.a.riosv 2015-11-17 22:06:14 UTC
*** Bug 95887 has been marked as a duplicate of this bug. ***
Comment 13 QA Administrators 2017-01-03 19:36:46 UTC Comment hidden (obsolete)
Comment 14 QA Administrators 2019-12-03 14:28:42 UTC
Dear AxelF,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug